Package com.sun.jna.platform.win32

## Class WinNT.OSVERSIONINFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.OSVERSIONINFO

Enclosing interface:
  WinNT

    @FieldOrder({"dwOSVersionInfoSize","dwMajorVersion","dwMinorVersion","dwBuildNumber","dwPlatformId","szCSDVersion"})
    public static class WinNT.OSVERSIONINFO
    extends Structure

The OSVERSIONINFO data structure contains operating system version information. The information includes major and minor version numbers, a build number, a platform identifier, and descriptive text about the operating system. This structure is used with the GetVersionEx function.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`WinDef.DWORD` `dwBuildNumber` Build number of the operating system.
`WinDef.DWORD` `dwMajorVersion` Major version number of the operating system.
`WinDef.DWORD` `dwMinorVersion` Minor version number of the operating system.
`WinDef.DWORD` `dwOSVersionInfoSize` Size of this data structure, in bytes.
`WinDef.DWORD` `dwPlatformId` Operating system platform.
`char[]` `szCSDVersion` Pointer to a null-terminated string, such as "Service Pack 3", that indicates the latest Service Pack installed on the system.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`OSVERSIONINFO()`
`OSVERSIONINFO​(Pointer memory)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwOSVersionInfoSize

    public WinDef.DWORD dwOSVersionInfoSize

Size of this data structure, in bytes. Set this member to sizeof(OSVERSIONINFO) before calling the GetVersionEx function.

#### dwMajorVersion

    public WinDef.DWORD dwMajorVersion

Major version number of the operating system.

#### dwMinorVersion

    public WinDef.DWORD dwMinorVersion

Minor version number of the operating system.

#### dwBuildNumber

    public WinDef.DWORD dwBuildNumber

Build number of the operating system.

#### dwPlatformId

    public WinDef.DWORD dwPlatformId

Operating system platform.

#### szCSDVersion

    public char[] szCSDVersion

Pointer to a null-terminated string, such as "Service Pack 3", that indicates the latest Service Pack installed on the system.

### Constructor Detail

#### OSVERSIONINFO

    public OSVERSIONINFO()

#### OSVERSIONINFO

    public OSVERSIONINFO​(Pointer memory)